# Fn<> MakeSigned
Convert an integral value into its signed variant.

Defined in | <seqan/basic.h>
Signature | `MakeSigned<T>::Type;`

## Template Parameters

`T` | Input integral type.

## Return Values

`Type` | The signed version of T.

## Detailed Description

Returns T if T is already signed.

### Remarks

The function is defined for all builtin integral types and with a fallback to that returns T if T is not a built-in integral value. You can specialize the metafunction for your custom types.

#### Dox Sources

    /*!
     * @mfn MakeSigned
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Convert an integral value into its signed variant.
     *
     * @signature MakeSigned<T>::Type;
     *
     * @tparam T Input integral type.
     *
     * @return Type The signed version of T.
     *
     * Returns T if T is already signed.
     *
     * @section Remarks
     *
     * The function is defined for all builtin integral types and with a fallback to
     * that returns T if T is not a built-in integral value. You can specialize the
     * metafunction for your custom types.
     */